Retrieves the boost value for a particular field

- « SolrInputDocument::getField

- SolrInputDocument::getFieldCount »

- PHP Manual
- SolrInputDocument
- Retrieves the boost value for a particular field

# SolrInputDocument::getFieldBoost

(PECL solr >= 0.9.2)

SolrInputDocument::getFieldBoost — Retrieves the boost value for a particular field

### Description

public SolrInputDocument::getFieldBoost(string `$fieldName`): float

Retrieves the boost value for a particular field.

### Parameters

`fieldName`

  The name of the field.

### Return Values

Returns the boost value for the field or `false` if there was an error.